//tag规则 release-v188.18.* 同步峰擎需求到启服通
const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class Syncfq extends TaskBase {
    constructor() {
        super(TaskBase.getServiceName(Syncfq));
        this.restclient = system.getObject("util.restClient");
    }
    async beforeTask(params) {
        console.log("前置操作......", this.serviceName);
    }
    async subDoTask() {
        console.log("--------------");
        console.log("TestTask1.....");
        var obj = {
            "actionType": "syncFqBusiness",
            "actionBody": {
                "limit": 100 //推送数据条数 默认100条
            }
        }
        try {
            var url = settings.centerChannelUrl() + "api/auth/taskapi/taskSyncNeedBusiness";
            var rtn = await this.restclient.execPost(obj, url);
            console.log(rtn);
            return rtn;
        } catch (error) {
            console.log(error);
            return null;
        }
    }
}
module.exports = Syncfq;